import { BinaryClassSerializationAdapter } from "../../ecs/storage/binary/BinaryClassSerializationAdapter.js";


class SoundListener {
    constructor() {
        this.prevPosition = { x: 0, y: 0, z: 0 };
        this.nodes = {
            listener: null
        };
    }

    toJSON() {
        return {};
    }

    fromJSON(json) {

    }

    /**
     *
     * @param {BinaryBuffer} buffer
     */
    toBinaryBuffer(buffer) {
    }

    /**
     *
     * @param {BinaryBuffer} buffer
     */
    fromBinaryBuffer(buffer) {
    }
}

SoundListener.typeName = "SoundListener";


export default SoundListener;


export class SoundListenerSerializationAdapter extends BinaryClassSerializationAdapter {
    klass = SoundListener;
    version = 0;

    // NO-OP
}
